Bug 97682 - Password field character sets inconsistent
Summary: Password field character sets inconsistent
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: PDF-Export-Options-Dialog
  Show dependency treegraph
 
Reported: 2016-02-09 10:48 UTC by rpeter12
Modified: 2019-01-05 12:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rpeter12 2016-02-09 10:48:38 UTC
When exporting to PDF, a password can be set under "File Encryption and Permission". The two passwords that can be specified (Open password, and permission password) accept different characters sets.

To reproduce, follow these steps:

In Draw or Writer:
File -> Export... -> <Select PDF file type> -> Save ->
Security tab -> Set Passwords...

Enter "§1" in any Password field and in the accompanying Confirm field.
Notice that the number of stars differ between the two fields.

When OK is pressed, an error will appear, as the passwords do not match.

This is a problem with §, and many other special characters, such as:

², ┼, í, Á, ê, ☺, Ø, ▓, all of which can be entered with ALT codes on windows.

Furthermore, the danish characters æøå have the same problem, and these can be entered directly from the keyboard.
Comment 1 Buovjaga 2016-02-11 13:39:38 UTC
Yes, the main password field does not accept §.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: a6f876d45bd4e41a7143594a6cb11b6893a0f620
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-02-11_00:07:38
Locale: fi-FI (fi_FI)

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 2 QA Administrators 2017-03-06 16:01:00 UTC Comment hidden (obsolete)
Comment 3 rpeter12 2017-03-07 07:43:53 UTC
Yearly check in:

This behavior is still present using Windows 10 64 bit.

Version: 5.3.0.3 (x64)
Build ID: 7074905676c47b82bbcfbea1aeefc84afe1c50e1
CPU Threads: 8; OS Version: Windows 6.19; UI Render: default; Layout Engine: new; 
Locale: en-GB (en_GB); Calc: group
Comment 4 QA Administrators 2018-03-08 03:44:34 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug